#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.2.2
visibility:           public
id:                   tree-diff-0.2.2-9NS7GYGLt1G46WOlat0PYp
key:                  tree-diff-0.2.2-9NS7GYGLt1G46WOlat0PYp
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  98bb946c2fc1af81a2b446d6e34f784d
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tree-diff-0.2.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tree-diff-0.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.2.2-9NS7GYGLt1G46WOlat0PYp
depends:
    QuickCheck-2.14.2-50g6nvTiNE5CM6werdwjjj
    aeson-1.5.6.0-6rBoO6bU0Qo8Yma8Si89de
    ansi-terminal-0.11.3-4sOL9w5QIphDlJIIpaWFJL
    ansi-wl-pprint-0.6.9-J38Hi5Z6ALfKDwm9oxcbks base-4.15.1.0
    base-compat-0.12.2-l1EqrM7Qwu6Pq9d4drKFu bytestring-0.10.12.1
    containers-0.6.4.1 deepseq-1.4.5.0
    hashable-1.4.1.0-4IP0Gt0vSEl8UoOyFHwRQX parsec-3.1.14.0
    parsers-0.12.11-vveqzfCWoOCrGFmQpHFe1 pretty-1.1.3.6
    primitive-0.7.4.0-sdseTeqQWp1PN9gttBZ8O
    scientific-0.3.7.0-GRg8FM6ZZOSA03UkddW954
    semialign-1.2.0.1-3Sq2KLF9y9GBxv6xEY1yFX
    strict-0.4.0.1-IhateBdKjGiCYR34MBggWG
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR text-1.2.5.0
    these-1.1.1.1-89ETKfuIREq9iQPjkscxz3 time-1.9.3
    unordered-containers-0.2.19.1-DKI32UXisJ5DsjnshdrAkp
    uuid-types-1.0.5-LuipouAgfLb6GPNN2cvDzE
    vector-0.12.3.1-37YOJsTp4sSIT9CMAp9q9Q

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

